Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 216112 - unnamespaced global symbols in libgs
Summary: unnamespaced global symbols in libgs
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks: 216170 F7Update
TreeView+ depends on / blocked
 
Reported: 2006-11-17 11:01 UTC by Joe Orton
Modified: 2008-05-07 01:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:00:20 UTC


Attachments (Terms of Use)

Description Joe Orton 2006-11-17 11:01:12 UTC
jorton@jolt:~$ rpm -qf /usr/lib/libgs.so.8.15 
ghostscript-8.15.2-8.1.i386

Clashes for /usr/lib/libgs.so.8.15:
  with /usr/lib/libsilc-1.0.so.2.4.1 => mem_close mem_open
  with /usr/lib/libwireshark.so.0.0.1 => md5_init md5_append md5_finish
  with /usr/lib/libaggplatformsdl.so.2.0.4 => main
  with /usr/sbin/httpd => main
  with /usr/lib/libgmime-2.0.so.2.2.3 => md5_init
  with /usr/lib/libXfont.so.1.4.1 => scan_token
  with /usr/lib/libgimpbase-2.0.so.0.200.13 => gp_init
  with /usr/lib/libedataserver-1.2.so.7.1.0 => md5_init
  with /usr/lib/libkscreensaver.so.4.2.0 => main
  with /usr/lib/libboost_test_exec_monitor.so.1.33.1 => main
  with /usr/lib/libgij.so.7rh.0.0 => main
  with /usr/lib/libpng.so.3.10.0 => png_push_fill_buffer
  with /usr/lib/libaggplatformX11.so.2.0.4 => main
  with /usr/lib/libboost_prg_exec_monitor.so.1.33.1 => main
  with /usr/lib/libkopete_oscar.so.2.0.0 => md5_init md5_append md5_finish
  with /usr/lib/libkghostviewlib.so.0.0.0 => dsc_known_media
  with /usr/lib/libboost_unit_test_framework.so.1.33.1 => main
  with /usr/lib/libjpeg.so.62.0.0 => jpeg_free_small jpeg_get_small (...3
symbols omitted...) jpeg_open_backing_store

Comment 1 Bug Zapper 2008-04-03 18:40:04 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Bug Zapper 2008-05-07 01:00:18 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.